AnsweredAssumed Answered

Upgrade Geodatabase issue

Question asked by ganczarski on Jan 31, 2018
Latest reply on Apr 3, 2018 by tromito

Hi everyone, 

I am attempting to Upgrade Geodatabase and the following error prevents the upgrade.

"Connected RDBMS instance is not setup for ST_GEOMETRY configuration.You must copy the latest ST_GEOMETRY library to the PostgreSQL software location"

The GDB was created a couple of years ago using ArcMap 10.3.1,  very recently ArcMap was upgraded to 10.6 

PostgreSQL 9.3.5 is running on Windows Server 2012 R2

The original st_geometry file exists in PostgreSQL lib folder.  Since the error message suggests the latest ST_GEOMETRY file needs to be copied, I've tried copying the files from DataSupport folder in Postgres 9.4, 9.5, 9.6 but that wouldn't even allow connections to be made.

Also the libeay32.dll, libpg.dll,libintl-8.dll and ssleay32.dll files are in the intended location.

Any ideas any help will be much appreciated

 

Best regards,

Pawel

 

 

 

Outcomes